### Function

# RB string_list_equal

#### Declaration [src]

    gboolean
    rb_string_list_equal (
      GList* a,
      GList* b
    )

#### Description [src]

Checks if `a` and `b` contain exactly the same set of strings, regardless of order.

This function is not directly available to language bindings.

#### Parameters

`a`

  Type: A list of `utf8`

  List of strings to compare.

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`b`

  Type: A list of `utf8`

  Other list of strings to compare.

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the lists contain all the same strings.